::-webkit-scrollbar {
    width: 6px;
    height: 6px;
}


::-webkit-scrollbar-track {
    background: #f1f1f100;
}

::-webkit-scrollbar-thumb {
    background: #8696a0;
}

::-webkit-scrollbar-thumb:hover {
    background: #5d6469;
}

.dark {
    --text-primary: #ffffff;
    --background-primary: #303030;
    --background-secondary: #4d4d4d;
    --background-default: #151515;
    --primary:#328032;
    --primary-hover:#4c984c;
}

.light {
    --text-primary: #181818;
    --background-primary: #ffffff;
    --background-secondary: #d6d6d6;
    --background-default: #b5b5b5;
}

body {
    margin: 0;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: var(--text-primary);
    background-color: var(--background-default);
}

.body {
    display: flex;
    min-height: calc(100vh - (19px + 89px));
}

.sidebar {
    width: 200px;
    min-width: 200px;
    background-color: var(--background-secondary);
    padding: 10px;
}

.sidebar ul {
    list-style-type: none;
    padding: 0;
    margin: 0;
}

.sidebar ul li {
    margin-bottom: 10px;
}

.sidebar ul li a {
    text-decoration: none;
    color: var(--text-primary);
    display: block;
    padding: 10px;
    border-radius: 4px;
}

.sidebar ul li a:hover {
    background-color: var(--background-primary);
    color: var(--text-primary);
}

.content {
    display: flex;
    flex-direction: column;
    flex: 1;
    background-color: var(--background-primary);
    padding: 20px;
    max-width: calc(100% - 260px);
}


a{
    color: rgb(48, 112, 195);
}

h1 {
    font-size: 24px;
    margin-bottom: 10px;
}

h2 {
    font-size: 20px;
    margin-top: 30px;
    margin-bottom: 10px;
}

h3 {
    font-size: 16px;
    margin-top: 20px;
    margin-bottom: 10px;
}


table {
    margin-bottom: 15px;
    border-radius: 10px;
    border-collapse: collapse;
    margin-bottom: 20px;
}

th,
td {
    padding: 8px;
    text-align: left;
    border: 1px solid #ddd;

}

pre {
    background-color: var(--background-default);
    padding: 10px;
    border-radius: 5px;
    overflow: auto;
}

code {
    font-family: Consolas, monospace;
    font-size: 14px;
    color: #fff;
}

ol {
    margin-left: 20px;
}

a img {
    height: 40px;
    width: 70px;
    object-fit: contain;
}
a img:hover{
    height: 50px;
    transition: height 0.5s ease-in-out;
}

header {
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    background-color: var(--background-default);
    padding: 2px;
    align-items: center;
    margin: 0 10%;
}

nav ul {
    list-style-type: none;
    margin: 0;
    padding: 0;
    display: flex;
}

nav ul li {
    position: relative;
}

nav ul li a {
    display: block;
    padding: 10px;
    color: var(--text-primary);
    text-decoration: none;
    border-radius: 5px;
}

nav ul li a:hover {
    background-color: var(--background-primary);
}

nav ul li ul {
    position: absolute;
    top: 100%;
    left: 0;
    background-color: var(--background-primary);
    display: none;
}

nav ul li:hover ul {
    display: block;
}

nav ul li ul li {
    width: 200px;
}

nav ul li ul li a {
    padding: 10px;
}

nav ul li ul li a:hover {
    background-color: var(--background-secondary);
}
footer{
    text-align: center;
}

input{
    padding: 10px;
    border-radius: 4px;
    border: 1px solid var(--background-default);
    background-color: var(--background-secondary);
    outline: none;
    color:var(--text-primary);
}
input:focus{
    outline: 1px solid rgb(85, 85, 85);
}
input::placeholder{
    color:#b5b5b5;
}
form{
    display: flex;
    width: 100%;
    gap:2px;
}
button{
    border-radius: 4px;
    padding:10px;
    border: 1px solid var(--background-default);
    background-color: var(--primary);
    cursor: pointer;
    color: var(--text-primary);
}
button.delete{
    background-color: brown;
}
th button{
    padding: 4px;
}
button:hover{
    background-color:var(--primary-hover) ;
}
button:active{
    outline: 1px solid rgb(85, 85, 85);
}

.fullwidth{
    width: 100%;
}



/*-----*/

details {
    border: 1px solid #aaa;
    border-radius: 4px;
    padding: 0.5em 0.5em 0;
  }
  
  summary {
    font-weight: bold;
    margin: -0.5em -0.5em 0;
    padding: 0.5em;
  }
  
  details[open] {
    padding: 0.5em;
  }
  
  details[open] summary {
    border-bottom: 1px solid #aaa;
    margin-bottom: 0.5em;
  }
  